Package com.xebialabs.xlrelease.domain

## Class Comment

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.Comment

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(versioned=false)
      public class Comment
      extends BaseConfigurationItem

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Comment()` |
    `Comment​(java.lang.String id, java.lang.String text, java.lang.String author, java.util.Date date)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAuthor()` |
    `java.util.Date` | `getCreationDate()` |
    `java.util.Date` | `getDate()` |
    `java.lang.String` | `getText()` |
    `void` | `setAuthor​(java.lang.String author)` |
    `void` | `setCreationDate​(java.util.Date creationDate)` |
    `void` | `setDate​(java.util.Date date)` |
    `void` | `setText​(java.lang.String text)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Comment

          public Comment()

    - #### Comment

          public Comment​(java.lang.String id,
                         java.lang.String text,
                         java.lang.String author,
                         java.util.Date date)

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

    - #### getAuthor

          public java.lang.String getAuthor()

    - #### setAuthor

          public void setAuthor​(java.lang.String author)

    - #### setText

          public void setText​(java.lang.String text)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate​(java.util.Date date)

    - #### getCreationDate

          public java.util.Date getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(java.util.Date creationDate)